Bug 220945 - Review Request: perl-Text-CharWidth - Get number of occupied columns of a string on terminal
Review Request: perl-Text-CharWidth - Get number of occupied columns of a str...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
Depends On:
Blocks: FE-ACCEPT 220944
  Show dependency treegraph
Reported: 2006-12-29 07:19 EST by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-06 21:05:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2006-12-29 07:19:44 EST
Spec URL: http://dl.atrpms.net/all/perl-Text-CharWidth.spec
SRPM URL: http://dl.atrpms.net/all/perl-Text-CharWidth-0.04-1.at.src.rpm

This is a module to provide equivalent feature as wcwidth(3) and
wcswidth(3).  This also provides mblen(3) equivalent subroutine.
Comment 1 Ralf Corsepius 2006-12-30 00:45:24 EST
Missing directory ownerships: The package must own these dirs:
Comment 2 Axel Thimm 2006-12-30 06:31:58 EST
P.S. How did you spot them? Eyeballs?
Comment 3 Ralf Corsepius 2006-12-30 23:07:59 EST
(In reply to comment #2)
> P.S. How did you spot them? Eyeballs?
More or less yes.

My initial steps before diving into a "formal review" are:
1. Visually inspect the *.spec.
2. rpmbuild -ba *.spec
3. rpmlint *.rpm
4. rpm -qlvp *.rpm (This is where I actually spotted it).

Theoretically, rpmlint could have complained, but ... <sigh> rpmlint </sigh>.

Theoretically, I should have noticed it in #1 (packaging perl modules is pretty
simple; I maintain a fair number of perl-modules myself and had been involved
into reviewing many others), but ... things happens, this time it had been step #4.
Comment 4 Axel Thimm 2006-12-30 23:16:57 EST
Yes, rpmlint noticing that would be nice, but it can probably only do so if the
package has been installed, or is there a way to check this on a cold package?
Comment 5 Ville Skyttä 2006-12-31 03:27:28 EST
It definitely would require the package to be installed.  But this was discussed
in September on fedora-extras-list and I filed an upstream RFE, but it was
rejected.  rpmlint site is broken at the moment, but when it comes back up, the
RFE can be seen at http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/35

See also http://thread.gmane.org/gmane.linux.redhat.fedora.maintainers/2883/
Comment 6 Axel Thimm 2007-01-01 09:42:35 EST
Too bad, that would had been a nice addition to rpmlint. Anyway even more thanks
for spotting this with eyeballs. :)

Spec URL: http://dl.atrpms.net/all/perl-Text-CharWidth.spec
SRPM URL: http://dl.atrpms.net/all/perl-Text-CharWidth-0.04-2.at.src.rpm

* Sat Dec 30 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.04-2
- Add ownership of some perl folders.
Comment 7 Parag AN(पराग) 2007-01-01 23:31:15 EST
I am unable to download above links.
Comment 8 Axel Thimm 2007-01-02 06:09:45 EST
Sorry, they were moved internally (into my "submit to extras folder") while the
site building scripts were running and they missed it. They have been
resurrected now, please retry.
Comment 9 Peter Gordon 2007-01-04 16:09:48 EST
I'll review this when I get home from work tonight.
Comment 10 Peter Gordon 2007-01-04 22:53:33 EST
[ Withdrawing myself as reviewer of this package due to BuildRoot disagreements.
See bug #220888 comment 15 for information. ]

Comment 11 manuel wolfshant 2007-01-05 06:04:50 EST

- rpmlint on source rpm returns:
E: perl-Text-CharWidth unknown-key GPG#66534c2b
which can safely be ignored
- no output from rpmlint on the generated binary
- package meets naming guidelines
- package meets packaging guidelines, except for the %buildroot which is not the
preferred value (but non blocker)
- the original tar does not include a license file but the (packaged) README
explicitely states that the software is dual licensed as GPL and Artistic which
are both approved for inclusion in Fedora
- the License field corresponds to the above and therefore is OK
- spec file legible, in am. english
- source matches upstream, sha1sum returns
b369ce7a531539ebf5b9cf1c1b09d66846f56aa4  Text-CharWidth-0.04.tar.gz
- package compiles on devel (i386)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for separate -docs package
- nothing in %doc affects runtime
- no need for .desktop file
- no .la files

... I would approve it if I were allowed to...
Comment 12 Patrice Dumas 2007-01-05 06:15:46 EST
(In reply to comment #11)

> ... I would approve it if I were allowed to...

You are allowed to... Why not? 
Comment 13 manuel wolfshant 2007-01-05 06:21:07 EST
fedorabugs membership ?
Comment 15 Patrice Dumas 2007-01-05 06:33:36 EST
Just follow what is said here... If I recall well once you are
sponsored you can approve packages, being added to fedorabugs is
just a technical issue.
Comment 16 manuel wolfshant 2007-01-05 08:48:45 EST
unless someone more experienced then me has additional comments,this packaged is
Comment 17 Axel Thimm 2007-01-06 21:05:44 EST
Thanks, package imported, built for devel and CVS branches requested.

Note You need to log in before you can comment on or make changes to this bug.